#define s_torchlightTemp 2200.0 //[1200.0 1400.0 1600.0 1800.0 2000.0 2200.0 2400.0 2600.0 2800.0 3000.0 3400.0 3600.0 4000.0 4400.0 4800.0 5200.0 5600.0 6000.0 6400.0]
#define s_torchlightLuma 1.0    //[0.25 0.5 0.75 1.0 1.25 1.5 1.75 2.0 2.2 2.4 2.6 2.8 3.0 3.2 3.4 3.6 3.8 4.0]

flat out vec3 colTorchlight;

flat out vec3 colSkylight;
flat out vec3 colSky;
flat out vec3 colHorizon;

uniform vec3 skyColor;
uniform vec3 fogColor;

#ifdef isLightingPass
    #include "/lib/util/blackbody.glsl"
#endif

void nature() {
    vec3 skyVanilla = pow(skyColor, vec3(2.2));
    vec3 fogVanilla = pow(fogColor, vec3(2.2));

    colSkylight = vec3(1.0, 0.6, 0.1);
    colSky      = skyVanilla;
    colHorizon  = fogVanilla;

    #ifdef isLightingPass
        colTorchlight   = blackbody(s_torchlightTemp)*1.0*s_torchlightLuma;
    #endif
}